{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.crl.frog.general": {
			"initial_state": "on_land",
			"states": {
				"on_land": {
					"animations": [
						{"walk": "math.min(1.0, query.modified_move_speed * 10)"}
					],
					"transitions": [
						{"idling_water": "query.is_in_water && query.modified_move_speed < 0.15"},
						{"swimming": "query.is_in_water && query.modified_move_speed > 0.15"},
						{"jumping": "query.is_jump_goal_jumping"}
					]
				},
				"jumping": {
					"animations": [
						{"jump": "query.is_jump_goal_jumping"}
					],
					"transitions": [
						{"on_land": "!query.is_in_water && !query.is_jump_goal_jumping"},
						{"idling_water": "query.is_in_water && query.modified_move_speed < 0.15"},
						{"swimming": "query.is_in_water && query.modified_move_speed > 0.15"}
					]
				},
				"idling_water": {
					"animations": ["idle_water"],
					"transitions": [
						{"on_land": "!query.is_in_water"},
						{"swimming": "query.is_in_water && query.modified_move_speed > 0.15"}
					]
				},
				"swimming": {
					"animations": [
						{"swim": "math.min(1.0, query.modified_move_speed * 10)"}
					],
					"transitions": [
						{"on_land": "!query.is_in_water"},
						{"idling_water": "query.is_in_water && query.modified_move_speed < 0.15"}
					]
				}
			}
		},
		"controller.animation.crl.frog.eat_mob": {
			"states": {
				"default": {
					"transitions": [
						{"eating": "query.is_eating_mob"}
					]
				},
				"eating": {
					"animations": ["tongue"],
					"transitions": [
						{"default": "!query.is_eating_mob"}
					]
				}
			}
		},
		"controller.animation.crl.frog.croaking": {
			"states": {
				"default": {
					"transitions": [
						{"croaking": "query.is_croaking"}
					]
				},
				"croaking": {
					"animations": ["croak"],
					"transitions": [
						{"default": "!query.is_croaking || query.is_eating_mob"}
					]
				}
			}
		},
		"controller.animation.crl.frog.blinking": {
			"states": {
				"default": {
					"transitions": [
						{"blink_short": "Math.random_integer(1,300)==1"},
						{"blink_long": "Math.random_integer(1,700)==1"}
					]
				},
				"blink_short": {
					"animations": ["blink"],
					"transitions": [
						{"default": "q.all_animations_finished"}
					],
					"blend_via_shortest_path": true
				},
				"blink_long": {
					"animations": ["blink_long"],
					"transitions": [
						{"default": "q.all_animations_finished"}
					]
				}
			}
		}
	}
}